/****************************************************************************
**
** Copyright (C) 2022 MikroElektronika d.o.o.
** Contact: https://www.mikroe.com/contact
**
** This file is part of the mikroSDK package
**
** Commercial License Usage
**
** Licensees holding valid commercial NECTO compilers AI licenses may use this
** file in accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The mikroElektronika Company.
** For licensing terms and conditions see
** https://www.mikroe.com/legal/software-license-agreement.
** For further information use the contact form at
** https://www.mikroe.com/contact.
**
**
** GNU Lesser General Public License Usage
**
** Alternatively, this file may be used for
** non-commercial projects under the terms of the GNU Lesser
** General Public License version 3 as published by the Free Software
** Foundation: https://www.gnu.org/licenses/lgpl-3.0.html.
**
** The above copyright notice and this permission notice shall be
** included in all copies or substantial portions of the Software.
**
** THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
** OF MERCHANTABILITY, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
** TO THE WARRANTIES FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
** IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
** DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT
** OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
** OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
**
****************************************************************************/
/* Project name:
 *   Led Blinking (The simple example).
 * Copyright:
 *   (c) Mikroelektronika, 2022.
 * Description:
 *   Simple Led blinking example, utilizing mikroSDK 2.0 GPIO driver library.
 *   The specified LED will be toggled. Take into consideration that your
 *   hardware might not have the specified pin.
 */

#include "drv_digital_out.h"
#include "board.h"
#ifdef __GNUC__
#include "rcu_delays.h"
#endif

/**
 * If hardware without pin `C1` is used,
 * make sure to define adequate pin.
 */
#ifndef MIKROBUS_1_CS
#define MIKROBUS_1_CS NC
#endif

/* LED pin. */
#define LED MIKROBUS_1_CS

/* Digital output driver context structure. */
static digital_out_t output_pin;

int main() {
    /* Set PORTC as digital output. */
    digital_out_init( &output_pin, LED );

    /* Infinite loop. */
    while ( 1 ) {
        /* Toggle pin digital state. */
        digital_out_toggle( &output_pin );
        /* 1 second delay. */
        Delay_1sec();
    }

    return 0;
}
